import PropTypes from 'prop-types';
import { breakpointNames } from "../../atoms/breakpoint/index.js";
const responsive = function responsive(type) {
  return PropTypes.oneOfType([type, PropTypes.shape(Object.fromEntries(breakpointNames.map(name => [name, type])))]);
};
export default responsive;